/** @file fwUnitTestComponentStartTestRunner.ctl 

@brief Started from the python harness. Runs the unit tests listed in configPathName, if no configPathName 
        is given all the tests will be run.

@par Creation Date
		01/04/2014          
          
*/

#uses "FwUnitTestComponent/fwUnitTestComponentTestRunner.ctl"
#uses "FwUnitTestComponent/fwUnitTestComponentParseConfigurationXml.ctl"
#uses "FwUnitTestComponent/fwUnitTestComponentTestDiscovery.ctl"

main(string configPathName = "")
{
  //DebugTN(configPathName);
  
  // get the tests to run
  mapping testsToRun;    
  if (configPathName == "")
  {
    fwUnitTestComponentTestDiscovery_getTests(testsToRun);    
  }
  else
  {
    fwUnitTestComponentParseConfigurationXml_getTestsToRun(configPathName, testsToRun);
  }
  
  // run the tests
  fwUnitTestComponentTestRunner_runTests(testsToRun);
  exit(0);
}
